//
//  ViewController.m
//  wxSqlite3Demo
//
//  Created by Wisdom on 15/1/6.
//  Copyright (c) 2015年 wisdom. All rights reserved.
//

#import "ViewController.h"

#import "sqlite3.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    [self.btnCreateDB addTarget:self action:@selector(btnCreateDB_Action) forControlEvents:UIControlEventTouchUpInside];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)btnCreateDB_Action{
    
    NSString *dbName = @"wxSqliteDb";
    
    NSString *dbPath=[NSString stringWithFormat:@"%@/Documents/%@.db",NSHomeDirectory(),dbName];
    
    sqlite3 *dbHandle;
    
    NSString *pwd = @"11111111";
    
    if (sqlite3_open([dbPath UTF8String], &dbHandle)==SQLITE_OK) {
        
        sqlite3_key(dbHandle, [pwd UTF8String], 8);
        
        const char *createSQL = "CREATE TABLE IF NOT EXISTS t_dept (ID INTEGER, orgName TEXT)";
        
        char *errorMsg;
        
        int result = sqlite3_exec(dbHandle, createSQL, NULL, NULL, &errorMsg);
        
        if(result!=SQLITE_OK){
            NSLog(@"\r\n创建部门表失败\r\n%s",errorMsg);
        }
        
        NSLog(@"创建数据库成功");
        
    }else{
        
        NSLog(@"创建数据库失败");
        
    }
    
}

@end
